<template>
	<view>
		<customNav :shownav="false" titledetl=""></customNav>
		<view class="content" style="margin-top: 30rpx;" v-for="(item,index) in noticeList">
			<view class="contentColumn" style="margin-bottom: 30rpx;">
				<view class="contentColumnC" style="width: 100%;margin-top: 20rpx;">
					<text class="timeNote" v-if="item.noticeType==2">{{$t('tonggao.gonggao')}}</text>
					<text class="timeNote" v-if="item.noticeType==1">{{$t('tonggao.tongzhi')}}</text>
					<text class="noteTitle">{{item.noticeTitle}}</text>
					<text class="timeNote" >{{item.createTime}}</text>
				</view>
				<view style="width: 94%;margin-left: 3%;font-size: 28rpx;">
					<rich-text :nodes="item.noticeContent"></rich-text>
				</view>
				<view class="contentInRowR">
					<text class="timeNote" style="padding-right: 20rpx;margin-top: 10rpx;">{{item.remark}}</text>
				</view>
			</view>
		</view>
		<view style="height: 40rpx;"></view>
	</view>
</template>

<script>
	import api from "@/pages/api/api.js"
	export default {
		data() {
			return {
				noticeList:[]
			}
		},
		onShow() {
			this.onGetnoticelist();
		},
		methods: {
			onGetnoticelist(){
				api('getnoticelist',
				{},
				res=>{
					console.log(res)
					if(res.data.code){
						this.noticeList=res.data.rows;
					}
				},failc=>{
					//console.log('getadvertis----',failc)
				})
			}
		}
	}
</script>

<style>
.noteTitle{
	font-size: 30rpx;
	font-weight: bold;
}
.timeNote{
	font-size: 26rpx;
}

</style>
